{ config, common, ... }:
let
  cfg = config.services.actual.settings;
  domain = "beta.budget.${common.domain}";
in
{
  services = {
    actual = {
      enable = true;
      settings = {
        port = 8084;
        loginMethod = "password";
      };
    };
    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:${toString cfg.port}";
        proxyWebsockets = true;
      };
    };
  };
}
